Networks
Create BGP peer
post
/networks/{network_id}/bgp-peersSet up a dynamic routing (BGP) session so a server in your network can exchange routes automatically with the network gateway.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
network_id*integer
Range
1 ≤ valueRequest body
application/jsonRequired
peer_type*BGPPeerType
Value in
"ip""vps""baremetal"peer_target*string
remote_asn*integer
Range
1 ≤ value ≤ 4294967295max_prefix?integer
Range
1 ≤ value ≤ 1000Default100description?string | null
Responses
Successful Response
application/json
detail*string
peer_id*string
peer_type*string
peer_target*string
remote_asn*integer